
Foreman - Bug #18040

Certificates with OU= give an error when listing smart-proxy cert list.

01/12/2017 03:42 AM - Stefan Goethals

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: PuppetCA   

Target version: 1.14.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.13.3

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/4185

  

Description

When a certificate containing an OU (possibly any other field than CN) is signed. An error occurs when viewing cert list page.

Possibly, the id of the certificate is not parsed correctly and ends up containing a '/' character which is not allowed.

The certificate could be parsed in the manner puppet does it 

https://github.com/puppetlabs/puppet/blob/master/lib/puppet/util/ssl.rb#L44 to avoid this issue.

Related issues:

Has duplicate Foreman - Bug #18240: foreman-proxy reports an error about the ... Duplicate 01/25/2017

Associated revisions

Revision 73633f3d - 01/31/2017 03:10 AM - Daniel Lobato Garcia

Fixes #18040 - URL escape PuppetCA CN on proxy view

If the CN contains characters that cannot be displayed in an URL, like

'mcollective/OL=mcollective', the puppetca list will not be able to

render.

The reason is that Rails cannot generate an URL for such CNs, so we need

to convert it into URL-friendly style.

Revision 3552acf4 - 02/01/2017 11:16 AM - Daniel Lobato Garcia

Fixes #18040 - URL escape PuppetCA CN on proxy view

If the CN contains characters that cannot be displayed in an URL, like

'mcollective/OL=mcollective', the puppetca list will not be able to

render.

The reason is that Rails cannot generate an URL for such CNs, so we need

to convert it into URL-friendly style.

(cherry picked from commit 73633f3db179f47a582b8ca2f31a9e430c10f4fb)

History

#1 - 01/12/2017 03:47 AM - Dominic Cleal

- Category set to PuppetCA

If you have the log of the error/stacktrace then it may help someone to fix the problem without trying to create a reproducer.

#2 - 01/12/2017 04:05 AM - Stefan Goethals

- File Foreman_cert_stack.txt added

#3 - 01/12/2017 05:03 AM - The Foreman Bot
https://github.com/puppetlabs/puppet/blob/master/lib/puppet/util/ssl.rb#L44


- Status changed from New to Ready For Testing

- Assignee set to Daniel Lobato Garcia

- Pull request https://github.com/theforeman/foreman/pull/4185 added

#4 - 01/19/2017 03:51 AM - Dominic Cleal

- Has duplicate Bug #18149: Puppet CA returns invalid certificates if using organizational units in the distinguished name added

#5 - 01/19/2017 03:52 AM - Dominic Cleal

- Has duplicate deleted (Bug #18149: Puppet CA returns invalid certificates if using organizational units in the distinguished name)

#6 - 01/24/2017 09:57 AM - Daniel Lobato Garcia

- Target version set to 169

#7 - 01/25/2017 09:58 AM - Dominic Cleal

- Has duplicate Bug #18240: foreman-proxy reports an error about the mcollective certificate added

#8 - 01/31/2017 04:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 73633f3db179f47a582b8ca2f31a9e430c10f4fb.

#9 - 02/01/2017 04:05 AM - Dominic Cleal

- translation missing: en.field_release set to 210

#10 - 02/18/2017 10:23 AM - Brad Buckingham

- Target version deleted (169)

#11 - 02/21/2017 09:53 AM - Daniel Lobato Garcia

- Target version set to 1.11.0

Files

Foreman_cert_stack.txt 20.7 KB 01/12/2017 Stefan Goethals
